Vsebina

# Zagon LibreOffice s parametri

Z zagonom programske opreme LibreOffice iz ukazne vrstice lahko dodelite različne parametre, s katerimi lahko vplivate na delovanje programa. Uporabo parametrov ukazne vrstice priporočamo samo izkušenim uporabnikom.

Za običajno delovanje uporaba parametrov ukazne vrstice ni potrebna. Nekateri parametri zahtevajo obširnejše znanje o tehničnem ozadju tehnologije programske opreme LibreOffice.

## Zagon LibreOffice iz ukazne vrstice

1. V meniju Windows Start poiščite Zaženi.

2. Vnesite sledeče besedilo v polje z besedilom Odpri in kliknite V redu.

3. {namestitev}\program\soffice.com {parameter}

   Zamenjajte {namestitev} s potjo do vaše namestitve pisarniškega paketa $PRODUCTNAME (npr. C:\Program Files\LibreOffice). Uporabite soffice.exe namesto soffice.com, če ne potrebujete konzole (npr. ne uporabljate vmesnika ukazne vrstice za brezoblične operacije).

1. Na platformah GNU/Linux, *BSD ali macOS odprite lupino (angl. shell).

2. Vnesite sledeče besedilo, nato pritisnite vnašalko:

   {namestitev}/program/soffice {parameter}

   Zamenjajte {namestitev} s potjo do vaše namestitve programa LibreOffice (npr. /opt/LibreOffice na sistemih GNU/Linux).

LibreOffice zahteva dostop s pisanjem do svoje mape z uporabniškimi profili.

## Veljavni parametri ukazne vrstice

### Raba brez posebnih argumentov

Če ne navedete nobenega argumenta, se odpre začetno središče.

{datoteka} | Poskusi odpreti datoteko (datoteke) v zanje ustreznih komponentah.
{datoteka} macro://./[Knjižnica.Modul.ImeMakra] | Odpre datoteko in uporabi navedene makre iz datoteke.

### Kako do pomoči in informacij

Parameter | Pomen
--- | ---
--help / -h / -? | Navede možne parametre ukazne vrstice v konzoli.
--helpwriter | Odpre vgrajeno ali spletno pomoč LibreOffice za program Writer.
--helpcalc | Odpre vgrajeno ali spletno pomoč LibreOffice za program Calc.
--helpdraw | Odpre vgrajeno ali spletno pomoč LibreOffice za program Draw.
--helpimpress | Odpre vgrajeno ali spletno pomoč LibreOffice za program Impress.
--helpbase | Odpre vgrajeno ali spletno pomoč LibreOffice za program Base.
--helpbasic | Odpre vgrajeno ali spletno pomoč LibreOffice za programski jezik Basic.
--helpmath | Odpre vgrajeno ali spletno pomoč LibreOffice za program Math.
--version | Pokaže različico LibreOffice in zapre program.
--nstemporarydirectory | (samo peskovnik macOS) Vrne pot začasne mape za trenutnega uporabnika in zapre program. Preglasi vse druge argumente.

### Splošni argumenti

Parameter | Pomen
--- | ---
--quickstart[=no] | Aktivira/deaktivira storitev hitrega zaganjalnika. Vzame le en parameter, no, ki deaktivira storitev Hitri zaganjalnik. Brez podanih parametrov se storitev aktivira.
--nolockcheck | Onemogoči preverjanje oddaljenih izvedb, ki uporabljajo namestitev.
--infilter=InputFilterName [:InputFilterParam[,param]] | Vsili vrsto vhodnega filtra, če je mogoče. Primer: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Glejte seznam filtrov za pretvorbo dokumentov. Seznam možnosti filtra za datoteke Lotus, dBase in Diff. Seznam možnosti filtra za datoteke CSV. Seznam možnosti filtra za datoteke PDF.
--pidfile={file} | Shrani pid soffice.bin pid v {datoteka}.
--display {display} | Nastavi okoljsko spremenljivko DISPLAY v okoljih UNIX na vrednost {zaslon}. Ta parameter podpira samo začetni skript za programsko opremo LibreOffice v UNIX-u podobnih okoljih.

### Nadzor uporabniškega/programskega vmesnika

Parameter | Pomen
--- | ---
--nologo | Ob zagonu programa onemogoči začetni zaslon.
--minimized | Začne pomanjšano. Začetni zaslon ni prikazan.
--nodefault | Ob zagonu se prikaže zgolj uvodno pojavno okno.
--invisible | Začne v nevidnem načinu. Ne boste videli začetnega logotipa niti začetnega okna programa. Kljub temu lahko nadzirate programski paket LibreOffice ter odpirate dokumente in pogovorna okna prek API-ja. Ko boste s tem parametrom zagnali programsko opremo LibreOffice, jo lahko končate le z upraviteljem opravil (Windows) ali z ukazom kill (sistemi, podobni UNIX-u). Ni mogoče uporabiti skupaj s parametrom --quickstart. Več informacij lahko najdete v Vodniku za razvijalce LibreOffice.
--headless | Začne v »brezglavem načinu«, ki omogoča uporabo modula brez uporabniškega vmesnika. Ta posebni način lahko uporabljate, kadar modul nadzirajo zunanji odjemalci prek API-ja.
--norestore | Onemogoči ponovni zagon in obnovo datotek, če se sistem sesuje.
--safe-mode | Zažene program v varnem načinu, t.j. zažene začasno z novim uporabniškim profilom in poskusi obnoviti poškodovano prilagoditev.
--accept={UNO} | Obvesti program LibreOffice, da bo uporabljen »Niz Sprejmi UNO« (»UNO Accept String«), potem ko ste ustvarili »Sprejemne niti UNO« (»UNO Acceptor Threads«). UNO-URL je niz vrste uno:connection-type,params;protocol-name,params;ObjectName. Več informacij lahko najdete v Vodniku za razvijalce LibreOffice.
--unaccept={UNO-URL} | Zapre akceptorja, ki ga je ustvaril --accept={UNO-URL}. Uporabite --unaccept=all, da zaprete vse akceptorje.
--language={lang} | Uporabi navedeni jezik, če za uporabniški vmesnik jezik še ni izbran. Pri tem je lang oznaka jezika po specifikaciji IETF.

### Argumenti za razvijalce

Parameter | Pomen
--- | ---
--terminate_after_init | Zapusti program po dokončanju inicializacije (brez nalaganja dokumentov).

Uporabniki na sistemih Unix in Linux lahko zaženejo LibreOffice s temi dodatnimi parametri za potrebe razhroščevanja.

Parameter | Pomen
--- | ---
--record | Napredni razhroščevalnik.
--backtrace | Natisne zgodovino klicev celotnega sklada.
--strace | strace je diagnostično, razhroščevalno in ukazovalno orodje uporabniškega prostora za Linux.
--valgrind | Samodejno zazna številne hrošče pri ravnanju s pomnilnikom in nitenju in podrobno profilira program.

Možnosti razhroščevanja --record, --backtrace, --strace in --valgrind ni mogoče uporabljati hkrati. Uporabite jih posamično.

### Argumenti ustvarjanja novega dokumenta

Argumenti ustvarijo prazen dokument navedene vrste. Le enega izmed njih je mogoče uporabiti v posamezni ukazni vrstici. Če so po argumentu navedena imena datotek, potem poskusi odpreti te datoteke z navedeno komponento.

Parameter | Pomen
--- | ---
--writer | Začne s praznim dokumentom programa Writer.
--calc | Začne s praznim dokumentom programa Calc.
--draw | Začne s praznim dokumentom programa Draw.
--impress | Začne s praznim dokumentom programa Impress.
--math | Začne s praznim dokumentom programa Math.
--global | Začne s praznim glavnim dokumentom programa Writer.
--web | Začne s praznim dokumentom HTML.

### Argumenti odpiranja datotek

Argumenti določajo, kako naj se obravnavajo sledeča imena datotek. Novo dejanje se začne po argumentu in konča pri naslednjem argumentu. Privzeto dejanje je odpiranje dokumentov za urejanje ter ustvarjanje novih dokumentov iz predlog dokumentov.

Parameter | Pomen
--- | ---
-n | Obravnava sledeče datoteke kot predloge za ustvarjanje novih dokumentov.
-o | Odpre naslednje datoteke za urejanje, ne glede na to, ali so predloge.
--pt {Printername} | Natisne naslednje datoteke na tiskalniku {ImeTiskalnika} in se zapre. Začetni zaslon se ne pojavi. Če ime datoteke vsebuje presledke, mora biti v narekovajih. Če je uporabljen večkrat, učinkuje le zadnje {ImeTiskalnika} za vse dokumente vseh zagonov --pt. Prav tako se argument --printer-name stikala --print-to-file prekriva z {ImeTiskalnika}.
-p | Natisne naslednje datoteke na privzetem tiskalniku, nato se te datoteke zaprejo. Začetni zaslon se ne pojavi. Če ime datoteke vsebuje presledke, mora biti v narekovajih.
--view | Odpre naslednje datoteke v oglednem načinu (samo za branje).
--show[=N] | Neposredno odpre in zažene predstavitev sledečih dokumente predstavitev. Datoteke se po prikazu zaprejo. N v primeru se nanaša na številko prosojnice in, če je podan, se projekcija začne z navedeno prosojnico.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | Če je --convert-to uporabljen več kot enkrat, velja zadnja vrednost OutputFileExtension[:OutputFilterName[:OutputFilterParams]]. Če je --outdir uporabljen več kot enkrat, velja le njegova zadnja vrednost. Če --outdir, manjka, se za rezultat uporabi trenutna delovna mapa. Primer: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Glejte seznam filtrov za pretvorbo dokumentov. Seznam možnosti filtra za datoteke Lotus, dBase in Diff. Seznam možnosti filtra za datoteke CSV. Seznam možnosti filtra za datoteke PDF.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Paketno natisni datoteke v datoteko. Če --outdir ni naveden, bo kot izhodna_mapa uporabljena trenutna delovna mapa. Če je --printer-name ali --outdir uporabljen večkrat, velja le zadnja vrednost vsakega. Prav tako se {ImeTiskalnika} stikala --pt prekriva s --printer-name. Primer: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Uporabi filter »txt:Text« na naslednjih besedilnih dokumentih in izmeče njihovo besedilno vsebino v konzolo (implicira --headless). Ni mogoče uporabiti s --convert-to.
-env:VAR[=VALUE] | Določite spremenljivko samozagona. Primer določitve ne privzete poti uporabniškega profila: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Prezrta stikala

Parameter | Pomen
--- | ---
-psn | Prezrto (le v okolju macOS)
-Embedding | Prezrto (sorodno s COM+; le v okolju Windows)
--nofirststartwizard | Ne stori ničesar, dovoljeno le zaradi združljivosti s starejšimi različicami.
--protector {arg1} {arg2} | Uporabljeno le v preizkusih enot, potrebna sta dva argumenta.